Bug 430241 - SDL_image / gd: GIF handling buffer overflow
SDL_image / gd: GIF handling buffer overflow
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: SDL_image (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks: CVE-2007-6697
  Show dependency treegraph
 
Reported: 2008-01-25 10:07 EST by Brian Pepple
Modified: 2008-02-02 03:59 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2.5-7.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-01 20:20:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2008-01-25 10:07:29 EST
Description of problem: How reproducible: Input validation flaw was discovered
in the SDL_image image handling library. Value read from the Gif file is not
properly validated against the buffer size and can cause a buffer overflow.
Comment 1 Fedora Update System 2008-01-27 02:28:49 EST
SDL_image-1.2.5-6.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update SDL_image'.  You can provide feedback for this update here: http://admin.fedoraproject.org/F7/FEDORA-2008-1116
Comment 2 Fedora Update System 2008-01-29 15:26:52 EST
SDL_image-1.2.5-7.fc7 has been submitted as an update for Fedora 7
Comment 3 Fedora Update System 2008-02-01 20:20:18 EST
SDL_image-1.2.5-7.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-02-02 03:59:19 EST
SDL_image-1.2.5-7.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.